04 April 2009

(Linux) yum-complete-transaction を実行せよとの表示

CentOSを5.2から5.3にアップデートした後に、yumを実行すると、「 You mightconsider running yum-complete-transaction first to finish them 」 と表示される事がある。

yum-complete-transaction コマンドが見付からないので探してみると、yum-utilsというパッケージに含まれているらしい。

yum-utilsをインストールして、yum-complete-transactionを実行してみると次の様になった。

[root@localhost ~]# yum install yum-utils [root@localhost ~]# yum-complete-transaction Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * extras: ftp.nara.wide.ad.jp * base: ftp.nara.wide.ad.jp * updates: rsync.atworks.co.jp * addons: ftp.nara.wide.ad.jp There are 1 outstanding transactions to complete. Finishing the most recent one The remaining transaction had 60 elements left to run Package evolution-2.12.3-8.el5_2.3.i386 already installed and latest version Package 2:vim-common-7.0.109-4.el5_2.4z.i386 already installed and latest version Package libxml2-python-2.6.26-2.1.2.7.i386 already installed and latest version Package 2:vim-enhanced-7.0.109-4.el5_2.4z.i386 already installed and latest version Package enscript-1.6.4-4.1.1.el5_2.i386 already installed and latest version Package matching nss-tools-3.12.2.0-2.el5.centos.i386 already installed. Checking for update. Package 2:vim-minimal-7.0.109-4.el5_2.4z.i386 already installed and latest version Package yelp-2.16.0-22.el5.i386 already installed and latest version Package matching firefox-3.0.5-1.el5.centos.i386 already installed. Checking for update. There are unfinished transactions remaining. You mightconsider running yum-complete-transaction first to finish them. --> Running transaction check ---> Package libxml2.i386 0:2.6.26-2.1.2.6 set to be erased ---> Package evolution.i386 0:2.12.3-8.el5_2.2 set to be erased ---> Package nspr.i386 0:4.7.1-1.el5 set to be erased ---> Package gnutls.i386 0:1.4.1-3.el5_1 set to be erased --> Finished Dependency Resolution ================================================================================ Package Arch Version Repository Size ================================================================================ Removing: evolution i386 2.12.3-8.el5_2.2 installed 36 M gnutls i386 1.4.1-3.el5_1 installed 813 k libxml2 i386 2.6.26-2.1.2.6 installed 1.5 M nspr i386 4.7.1-1.el5 installed 245 k Transaction Summary ================================================================================ Install 0 Package(s) Update 0 Package(s) Remove 4 Package(s) Is this ok [y/N]: y

ここで、トランザクションを実行し不必要なパッケージを削除した後に、本当に最新パッケージが残存しているか再確認する。

[root@localhost ~]# yum list installed | grep -e evolution -e libxml2 -e gnutls -e nspr evolution.i386 2.12.3-8.el5_2.3 installed evolution-connector.i386 2.12.3-4.el5_2.1 installed evolution-data-server.i386 1.12.3-10.el5_3.3 installed evolution-webcal.i386 2.7.1-6 installed gnutls.i386 1.4.1-3.el5_2.1 installed libxml2.i386 2.6.26-2.1.2.7 installed libxml2-devel.i386 2.6.26-2.1.2.7 installed libxml2-python.i386 2.6.26-2.1.2.7 installed nspr.i386 4.7.3-2.el5 installed